curl --request PATCH \
--url https://{subdomain}.mindhunters.ai/api/v1/phone-numbers/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel_settings": {
"voice": {
"enabled": true,
"channel_limit": 123,
"whitelisted_destinations": [
"US"
]
},
"sms": {
"enabled": true,
"channel_limit": 123,
"whitelisted_destinations": [
"<string>"
]
},
"inbound": {
"enabled": true,
"channel_limit": 123
}
}
}
'{
"success": true,
"data": {
"phone_number_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "+12084439178",
"country_code": "US",
"type": "local",
"is_external": true,
"status": "active",
"compliance": {
"status": "completed",
"requirements": [
{}
]
},
"capabilities": {
"voice": true,
"sms": true,
"mms": true,
"fax": true,
"emergency": true,
"local_calling": true
},
"channel_settings": {
"voice": {
"enabled": true,
"channel_limit": 123,
"whitelisted_destinations": [
"<string>"
]
},
"sms": {
"enabled": true,
"channel_limit": 123,
"whitelisted_destinations": [
"<string>"
]
},
"inbound": {
"enabled": true,
"channel_limit": 123
}
},
"billing": {
"monthly_fee": 123,
"currency": "EUR"
},
"bindings": {
"call": {
"bound": true,
"agent_uuid": "<string>",
"agent_name": "<string>"
},
"sms": {
"bound": true,
"agent_uuid": "<string>",
"agent_name": "<string>"
},
"whatsapp": {
"bound": true,
"agent_uuid": "<string>",
"agent_name": "<string>"
}
},
"purchased_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Turn voice, SMS, or inbound on or off, set per-channel concurrency limits, and choose which destination countries are allowed for outbound traffic. Channels can’t be turned on while compliance is still pending for the number.
curl --request PATCH \
--url https://{subdomain}.mindhunters.ai/api/v1/phone-numbers/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel_settings": {
"voice": {
"enabled": true,
"channel_limit": 123,
"whitelisted_destinations": [
"US"
]
},
"sms": {
"enabled": true,
"channel_limit": 123,
"whitelisted_destinations": [
"<string>"
]
},
"inbound": {
"enabled": true,
"channel_limit": 123
}
}
}
'{
"success": true,
"data": {
"phone_number_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "+12084439178",
"country_code": "US",
"type": "local",
"is_external": true,
"status": "active",
"compliance": {
"status": "completed",
"requirements": [
{}
]
},
"capabilities": {
"voice": true,
"sms": true,
"mms": true,
"fax": true,
"emergency": true,
"local_calling": true
},
"channel_settings": {
"voice": {
"enabled": true,
"channel_limit": 123,
"whitelisted_destinations": [
"<string>"
]
},
"sms": {
"enabled": true,
"channel_limit": 123,
"whitelisted_destinations": [
"<string>"
]
},
"inbound": {
"enabled": true,
"channel_limit": 123
}
},
"billing": {
"monthly_fee": 123,
"currency": "EUR"
},
"bindings": {
"call": {
"bound": true,
"agent_uuid": "<string>",
"agent_name": "<string>"
},
"sms": {
"bound": true,
"agent_uuid": "<string>",
"agent_name": "<string>"
},
"whatsapp": {
"bound": true,
"agent_uuid": "<string>",
"agent_name": "<string>"
}
},
"purchased_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}